Name:           synfigstudio
Version:        0.63.05
Release:        4.1%{?dist}
Summary:        Vector-based 2D animation studio

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://synfig.org/
Source0:        http://download.sourceforge.net/synfig/%{name}-%{version}.tar.gz
Patch0:         synfigstudio-0.62.00-cflags.patch
#Patch1:         synfigstudio-0.62.02-dialog_color.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  synfig-devel
BuildRequires:  ETL-devel >= 0.04.13
BuildRequires:  gtkmm24-devel
BuildRequires:  autoconf

%description
Synfig Animation Studio is a powerful, industrial-strength vector-based
2D animation software, designed from the ground-up for producing
feature-film quality animation with fewer people and resources.
It is designed to be capable of producing feature-film quality
animation. It eliminates the need for tweening, preventing the
need to hand-draw each frame. Synfig features spatial and temporal
resolution independence (sharp and smoothat any resolution or framerate),
high dynamic range images, and a flexible plugin system.

This package contains the GUI-based animation studio.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .cflags
#%patch1 -p1 -b .dialog_color


%build
autoconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor="fedora"                          \
        --delete-original                                       \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications           \
        $RPM_BUILD_ROOT/%{_datadir}/applications/synfigstudio.desktop

# Remove all mime sub-directories but package
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime/{application,generic-icons,globs,globs2,icons}
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime/{treemagic,types,version,XMLnamespaces}
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime/{aliases,subclasses,mime.cache,magic}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

		
%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime-info/synfigstudio.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/synfigstudio
%doc AUTHORS COPYING README


%files devel
%defattr(-,root,root,-)
%{_includedir}/synfigapp-0.0
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%doc COPYING TODO


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63.05-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Luya Tshimbalanga <luya@fedoraproject.org> - 0.63.05-3.1
- Really remove all but xml file (rhbz#821740)

* Mon May 21 2012 Luya Tshimbalanga <luya@fedoraproject.org> - 0.63.05-2
- Fix mime.cache issue (rhbz#821740)

* Mon Apr 23 2012 Jon Ciesla <limburgher@gmail.com> - 0.63.05-1
- Latest upstream.
- Dialog color patch upstreamed.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63.04-2
- Rebuilt for c++ ABI breakage

* Sat Feb 11 2012 Luya Tshimbalanga <luya@fedoraproject.org>
- New upstream release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com>
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.62.02-1
- Rebase

* Sat Dec 04 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-3
- Fix build

* Thu Dec 24 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-2
- Fix optflags use (Ville Skyttä, #549420)

* Tue Nov 17 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-1
- Bump version

* Fri Jan 09 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.61.09-1
- Initial packaging attempt
